Bug 168885 - FN Keys not working on 2.6.12 series
Summary: FN Keys not working on 2.6.12 series
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-20 22:35 UTC by Vitor Domingos
Modified: 2015-01-04 22:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 14:58:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vitor Domingos 2005-09-20 22:35:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20050919 SeaMonkey/1.1a

Description of problem:
The FN keys on laptops are not working in the 2.6.12 kernel series.

Sep 20 23:22:35 morpheus kernel: atkbd.c: Unknown key pressed (translated set 2, code 0xf9 on isa0060/serio0).
Sep 20 23:22:35 morpheus kernel: atkbd.c: Use 'setkeycodes e079 <keycode>' to make it known.
Sep 20 23:22:36 morpheus kernel: atkbd.c: Unknown key released (translated set 2, code 0xf9 on isa0060/serio0).
Sep 20 23:22:36 morpheus kernel: atkbd.c: Use 'setkeycodes e079 <keycode>' to make it known.


Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1398_FC4

How reproducible:
Always

Steps to Reproduce:
1. Use one 2.6.12 kernel series
2. Punch any FN+Key combination - example, sound volume or screen light
3.
  

Additional info:

Comment 1 Vitor Domingos 2005-09-20 22:44:32 UTC
Yes, I know that sound volume keys can be defined on gnome keyboard shortcuts,
but the screen contrast only work on 2.6.11.

Comment 2 Dave Jones 2005-09-30 07:24:31 UTC
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.


Comment 3 Vitor Domingos 2005-10-03 14:58:25 UTC
Not an issue anymore on latest kernels. Closing the bug.


Note You need to log in before you can comment on or make changes to this bug.